Index: applications/editors/josm/plugins/tracer2/.checkstyle
===================================================================
--- applications/editors/josm/plugins/tracer2/.checkstyle	(revision 32788)
+++ applications/editors/josm/plugins/tracer2/.checkstyle	(revision 32788)
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+
+<fileset-config file-format-version="1.2.0" simple-config="true" sync-formatter="false">
+  <local-check-config name="JOSM" location="/JOSM/tools/checkstyle/josm_checks.xml" type="project" description="">
+    <additional-data name="protect-config-file" value="false"/>
+  </local-check-config>
+  <fileset name="all" enabled="true" check-config-name="JOSM" local="true">
+    <file-match-pattern match-pattern="." include-pattern="true"/>
+  </fileset>
+  <filter name="DerivedFiles" enabled="true"/>
+  <filter name="FilesFromPackage" enabled="true">
+    <filter-data value="data"/>
+    <filter-data value="images"/>
+    <filter-data value="styles"/>
+    <filter-data value="resources"/>
+    <filter-data value="scripts"/>
+  </filter>
+</fileset-config>
Index: applications/editors/josm/plugins/tracer2/.project
===================================================================
--- applications/editors/josm/plugins/tracer2/.project	(revision 32699)
+++ applications/editors/josm/plugins/tracer2/.project	(revision 32788)
@@ -16,7 +16,13 @@
 			</arguments>
 		</buildCommand>
+		<buildCommand>
+			<name>net.sf.eclipsecs.core.CheckstyleBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
 	</buildSpec>
 	<natures>
 		<nature>org.eclipse.jdt.core.javanature</nature>
+		<nature>net.sf.eclipsecs.core.CheckstyleNature</nature>
 	</natures>
 </projectDescription>
Index: applications/editors/josm/plugins/tracer2/.settings/org.eclipse.jdt.ui.prefs
===================================================================
--- applications/editors/josm/plugins/tracer2/.settings/org.eclipse.jdt.ui.prefs	(revision 32788)
+++ applications/editors/josm/plugins/tracer2/.settings/org.eclipse.jdt.ui.prefs	(revision 32788)
@@ -0,0 +1,60 @@
+eclipse.preferences.version=1
+editor_save_participant_org.eclipse.jdt.ui.postsavelistener.cleanup=true
+sp_cleanup.add_default_serial_version_id=true
+sp_cleanup.add_generated_serial_version_id=false
+sp_cleanup.add_missing_annotations=true
+sp_cleanup.add_missing_deprecated_annotations=true
+sp_cleanup.add_missing_methods=false
+sp_cleanup.add_missing_nls_tags=false
+sp_cleanup.add_missing_override_annotations=true
+sp_cleanup.add_missing_override_annotations_interface_methods=true
+sp_cleanup.add_serial_version_id=false
+sp_cleanup.always_use_blocks=true
+sp_cleanup.always_use_parentheses_in_expressions=false
+sp_cleanup.always_use_this_for_non_static_field_access=false
+sp_cleanup.always_use_this_for_non_static_method_access=false
+sp_cleanup.convert_functional_interfaces=false
+sp_cleanup.convert_to_enhanced_for_loop=false
+sp_cleanup.correct_indentation=true
+sp_cleanup.format_source_code=false
+sp_cleanup.format_source_code_changes_only=false
+sp_cleanup.insert_inferred_type_arguments=false
+sp_cleanup.make_local_variable_final=true
+sp_cleanup.make_parameters_final=false
+sp_cleanup.make_private_fields_final=true
+sp_cleanup.make_type_abstract_if_missing_method=false
+sp_cleanup.make_variable_declarations_final=false
+sp_cleanup.never_use_blocks=false
+sp_cleanup.never_use_parentheses_in_expressions=true
+sp_cleanup.on_save_use_additional_actions=true
+sp_cleanup.organize_imports=true
+sp_cleanup.qualify_static_field_accesses_with_declaring_class=false
+sp_cleanup.qualify_static_member_accesses_through_instances_with_declaring_class=true
+sp_cleanup.qualify_static_member_accesses_through_subtypes_with_declaring_class=true
+sp_cleanup.qualify_static_member_accesses_with_declaring_class=false
+sp_cleanup.qualify_static_method_accesses_with_declaring_class=false
+sp_cleanup.remove_private_constructors=true
+sp_cleanup.remove_redundant_type_arguments=true
+sp_cleanup.remove_trailing_whitespaces=true
+sp_cleanup.remove_trailing_whitespaces_all=true
+sp_cleanup.remove_trailing_whitespaces_ignore_empty=false
+sp_cleanup.remove_unnecessary_casts=true
+sp_cleanup.remove_unnecessary_nls_tags=false
+sp_cleanup.remove_unused_imports=true
+sp_cleanup.remove_unused_local_variables=false
+sp_cleanup.remove_unused_private_fields=true
+sp_cleanup.remove_unused_private_members=false
+sp_cleanup.remove_unused_private_methods=true
+sp_cleanup.remove_unused_private_types=true
+sp_cleanup.sort_members=false
+sp_cleanup.sort_members_all=false
+sp_cleanup.use_anonymous_class_creation=false
+sp_cleanup.use_blocks=false
+sp_cleanup.use_blocks_only_for_return_and_throw=false
+sp_cleanup.use_lambda=true
+sp_cleanup.use_parentheses_in_expressions=false
+sp_cleanup.use_this_for_non_static_field_access=false
+sp_cleanup.use_this_for_non_static_field_access_only_if_necessary=true
+sp_cleanup.use_this_for_non_static_method_access=false
+sp_cleanup.use_this_for_non_static_method_access_only_if_necessary=true
+sp_cleanup.use_type_arguments=false
Index: applications/editors/josm/plugins/tracer2/src/org/openstreetmap/josm/plugins/tracer2/ConnectWays.java
===================================================================
--- applications/editors/josm/plugins/tracer2/src/org/openstreetmap/josm/plugins/tracer2/ConnectWays.java	(revision 32699)
+++ applications/editors/josm/plugins/tracer2/src/org/openstreetmap/josm/plugins/tracer2/ConnectWays.java	(revision 32788)
@@ -1,20 +1,3 @@
-/**
- *  Tracer2 - plug-in for JOSM to capture contours
- *  
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; either version 2 of the License, or
- *  (at your option) any later version.
- *  
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *  
- *  You should have received a copy of the GNU General Public License along
- *  with this program; if not, write to the Free Software Foundation, Inc.,
- *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
- */
-
+// License: GPL. For details, see LICENSE file.
 package org.openstreetmap.josm.plugins.tracer2;
 
@@ -35,66 +18,72 @@
 import org.openstreetmap.josm.command.SequenceCommand;
 import org.openstreetmap.josm.data.coor.LatLon;
+import org.openstreetmap.josm.data.osm.BBox;
 import org.openstreetmap.josm.data.osm.Node;
+import org.openstreetmap.josm.data.osm.OsmPrimitive;
 import org.openstreetmap.josm.data.osm.Way;
-import org.openstreetmap.josm.data.osm.BBox;
-import org.openstreetmap.josm.data.osm.OsmPrimitive;
 import org.openstreetmap.josm.plugins.tracer2.preferences.ServerParam;
 import org.openstreetmap.josm.tools.Pair;
 
-public class ConnectWays {
-    static double s_dMinDistance		= 0.000006;		// Minimal distance, for objects
-    static double s_dMinDistanceN2N		= 0.0000005;	// Minimal distance, when nodes are merged
-    static double s_dMinDistanceN2oW	= 0.000001;		// Minimal distance, when node is connected to other way
-    static double s_dMinDistanceN2tW	= 0.000001;		// Minimal distance, when other node is connected this way
-    final static double MAX_ANGLE	= 30;				// Minimal angle, when other node is connected this way
-    
+public final class ConnectWays {
+
+    private ConnectWays() {
+        // Hide default constructor for utilities classes
+    }
+
+    // CHECKSTYLE.OFF: SingleSpaceSeparator
+    static double s_dMinDistance     = 0.000006;  // Minimal distance, for objects
+    static double s_dMinDistanceN2N  = 0.0000005; // Minimal distance, when nodes are merged
+    static double s_dMinDistanceN2oW = 0.000001;  // Minimal distance, when node is connected to other way
+    static double s_dMinDistanceN2tW = 0.000001;  // Minimal distance, when other node is connected this way
+    static final double MAX_ANGLE    = 30;        // Minimal angle, when other node is connected this way
+    // CHECKSTYLE.ON: SingleSpaceSeparator
+
     static Way s_oWay;
     static Way s_oWayOld;
     static List<Way> s_oWays;
     static List<Node> s_oNodes;
-    
+
     static ServerParam s_oParam;
     static boolean s_bCtrl;
     static boolean s_bAlt;
-    
+
     static boolean s_bAddNewWay;
-    
-    private static void calcDistance()
-    {
-    	double dTileSize = Double.parseDouble(s_oParam.getTileSize());
-    	double dResolution = Double.parseDouble(s_oParam.getResolution());
-    	double dMin = dTileSize / dResolution;
-    	
-    	s_dMinDistance = dMin * 30;
-    	s_dMinDistanceN2N = dMin * 2.5;
-    	s_dMinDistanceN2oW = dMin * 5;
-    	s_dMinDistanceN2tW = dMin * 5;
-    }
-    
+
+    private static void calcDistance() {
+        double dTileSize = Double.parseDouble(s_oParam.getTileSize());
+        double dResolution = Double.parseDouble(s_oParam.getResolution());
+        double dMin = dTileSize / dResolution;
+
+        s_dMinDistance = dMin * 30;
+        s_dMinDistanceN2N = dMin * 2.5;
+        s_dMinDistanceN2oW = dMin * 5;
+        s_dMinDistanceN2tW = dMin * 5;
+    }
+
     private static void getWays(Way way) {
-    	BBox bbox = new BBox(way);
-    	bbox.addPrimitive(way,s_dMinDistance);
+        BBox bbox = new BBox(way);
+        bbox.addPrimitive(way, s_dMinDistance);
         s_oWays = Main.getLayerManager().getEditDataSet().searchWays(bbox);
     }
-    
+
     private static List<Way> getWaysOfNode(Node node) {
-    	List<Way> ways;
-    	ways = OsmPrimitive.getFilteredList(node.getReferrers(), Way.class);
-    	return ways;
-    }
-    
+        List<Way> ways;
+        ways = OsmPrimitive.getFilteredList(node.getReferrers(), Way.class);
+        return ways;
+    }
+
     private static void getNodes(Way way) {
-    	BBox bbox = new BBox(way);
-    	bbox.addPrimitive(way,s_dMinDistance);
-    	s_oNodes = Main.getLayerManager().getEditDataSet().searchNodes(bbox);
-    }
-    
+        BBox bbox = new BBox(way);
+        bbox.addPrimitive(way, s_dMinDistance);
+        s_oNodes = Main.getLayerManager().getEditDataSet().searchNodes(bbox);
+    }
+
     private static double calcAlpha(LatLon oP1, Node n) {
-    	LatLon oP2 = n.getCoor();
-    	
-    	double dAlpha = Math.atan((oP2.getY() - oP1.getY()) / (oP2.getX() - oP1.getX())) * 180 / Math.PI + (oP1.getX() > oP2.getX() ? 180 : 0);
-    	return checkAlpha(dAlpha);
-    }
-    
+        LatLon oP2 = n.getCoor();
+
+        double dAlpha = Math.atan((oP2.getY() - oP1.getY()) / (oP2.getX() - oP1.getX())) * 180 / Math.PI + (oP1.getX() > oP2.getX() ? 180 : 0);
+        return checkAlpha(dAlpha);
+    }
+
     private static Double checkAlpha(Double dAlpha) {
         if (dAlpha > 180) {
@@ -106,38 +95,38 @@
         return dAlpha;
     }
-    
+
     private static boolean isNodeInsideWay(LatLon pos, Way way) {
-    	List<Node> listNode = way.getNodes();
-    	
-    	double dAlpha;
-    	double dAlphaOld = calcAlpha(pos, listNode.get(listNode.size()-1));
-    	double dSumAlpha = 0;
-    	
-    	for (Node n : listNode) {
-    		dAlpha = calcAlpha(pos, n);
-    		dSumAlpha += checkAlpha( dAlpha - dAlphaOld );
-    		dAlphaOld = dAlpha;
-    	}
-    	dSumAlpha = Math.abs(dSumAlpha);
-    	
-    	return dSumAlpha > 359 && dSumAlpha < 361;
-    }
-    
+        List<Node> listNode = way.getNodes();
+
+        double dAlpha;
+        double dAlphaOld = calcAlpha(pos, listNode.get(listNode.size()-1));
+        double dSumAlpha = 0;
+
+        for (Node n : listNode) {
+            dAlpha = calcAlpha(pos, n);
+            dSumAlpha += checkAlpha(dAlpha - dAlphaOld);
+            dAlphaOld = dAlpha;
+        }
+        dSumAlpha = Math.abs(dSumAlpha);
+
+        return dSumAlpha > 359 && dSumAlpha < 361;
+    }
+
     private static Way getOldWay(LatLon pos) {
-    	int i;
-    	
-    	for (i = 0; i < s_oWays.size(); i++) {
-    		Way way = s_oWays.get(i);
-    		if (!isSameTag(way)) {
-    			continue;
-    		}
-    		if (isNodeInsideWay(pos, way)) {
-    			s_oWays.remove(way);
-    			return way;
-    		}
-    	}
-    	return null;
-    }
-    
+        int i;
+
+        for (i = 0; i < s_oWays.size(); i++) {
+            Way way = s_oWays.get(i);
+            if (!isSameTag(way)) {
+                continue;
+            }
+            if (isNodeInsideWay(pos, way)) {
+                s_oWays.remove(way);
+                return way;
+            }
+        }
+        return null;
+    }
+
     /**
      * Try connect way to other buildings.
@@ -148,99 +137,92 @@
         LinkedList<Command> cmds = new LinkedList<>();
         LinkedList<Command> cmds2 = new LinkedList<>();
-        
+
         s_oParam = param;
         s_bCtrl = ctrl;
         s_bAlt = alt;
-        
+
         boolean bAddWay = false;
-        
+
         calcDistance();
         getNodes(newWay);
         getWays(newWay);
-        
+
         s_oWayOld = getOldWay(pos);
-        
+
         if (s_oWayOld == null) {
-        	s_bAddNewWay = true;
-        	//cmds.add(new AddCommand(newWay));
-        	bAddWay = true;
-        	s_oWayOld = newWay;
-        	s_oWay = new Way( newWay );
+            s_bAddNewWay = true;
+            //cmds.add(new AddCommand(newWay));
+            bAddWay = true;
+            s_oWayOld = newWay;
+            s_oWay = new Way(newWay);
         } else {
             int i;
             Way tempWay;
             s_bAddNewWay = false;
-            
+
             //Main.main.getCurrentDataSet().setSelected(m_wayOld);
-            
+
             tempWay = new Way(s_oWayOld);
-            
+
             for (i = 0; i < newWay.getNodesCount(); i++) {
-            	tempWay.addNode(tempWay.getNodesCount(), newWay.getNode(i));
+                tempWay.addNode(tempWay.getNodesCount(), newWay.getNode(i));
             }
             i++;
             for (i = 0; i < s_oWayOld.getNodesCount() - 1; i++) {
-            	tempWay.removeNode( s_oWayOld.getNode(i) );
+                tempWay.removeNode(s_oWayOld.getNode(i));
             }
             //cmds.add(new ChangeCommand(m_wayOld, tempWay));
             for (i = 0; i < s_oWayOld.getNodesCount() - 1; i++) {
-            	Node n = s_oWayOld.getNode(i);
-            	List<Way> ways = getWaysOfNode(n);
-            	if (ways.size()<=1) {
-                	cmds2.add(new DeleteCommand( s_oWayOld.getNode(i) ));
-            	}
-            	s_oNodes.remove(s_oWayOld.getNode(i));
+                Node n = s_oWayOld.getNode(i);
+                List<Way> ways = getWaysOfNode(n);
+                if (ways.size() <= 1) {
+                    cmds2.add(new DeleteCommand(s_oWayOld.getNode(i)));
+                }
+                s_oNodes.remove(s_oWayOld.getNode(i));
             }
             s_oWay = tempWay;
         }
-        
-        {
-        	cmds2.addAll(connectTo());
-
-        	// add new Node
-        	Node firstNode = null;
-        	Way way = new Way(s_oWay);
-        	for (Node node : s_oWay.getNodes()) {
-        		if ( node.getDataSet() != null )
-        		{
-        			way.removeNode(node);
-        		}
-        	}
-        	if ( way.getNodes().size() > 0 )
-            {
-                if (way.firstNode() != way.lastNode() )
-                {
-                	way.addNode(way.firstNode());
-                }
-        		for (Node node : way.getNodes())
-        		{
-        			if (firstNode == null || firstNode != node) {
-        				cmds.add(new AddCommand(node));
-        			}
-        			if (firstNode == null) {
-        				firstNode = node;
-        			}
-        		}
-            }
-        	
-        	// add new way
-    		if ( bAddWay == true )
-    		{
-    			cmds.add(new AddCommand(s_oWay));
-    		}
-            
-        	cmds.add(new ChangeCommand(s_oWayOld, trySplitWayByAnyNodes(s_oWay)));
-        }
+
+        cmds2.addAll(connectTo());
+
+        // add new Node
+        Node firstNode = null;
+        Way way = new Way(s_oWay);
+        for (Node node : s_oWay.getNodes()) {
+            if (node.getDataSet() != null) {
+                way.removeNode(node);
+            }
+        }
+        if (way.getNodes().size() > 0) {
+            if (way.firstNode() != way.lastNode()) {
+                way.addNode(way.firstNode());
+            }
+            for (Node node : way.getNodes()) {
+                if (firstNode == null || firstNode != node) {
+                    cmds.add(new AddCommand(node));
+                }
+                if (firstNode == null) {
+                    firstNode = node;
+                }
+            }
+        }
+
+        // add new way
+        if (bAddWay == true) {
+            cmds.add(new AddCommand(s_oWay));
+        }
+
+        cmds.add(new ChangeCommand(s_oWayOld, trySplitWayByAnyNodes(s_oWay)));
         cmds.addAll(cmds2);
-        
+
         TracerDebug oTracerDebug = new TracerDebug();
         oTracerDebug.OutputCommands(cmds);
-        
+
         Command cmd = new SequenceCommand(tr("Merge objects nodes"), cmds);
-        
+
         return cmd;
     }
-    
-    
+
+
     /**
      * Try connect way to other buildings.
@@ -268,5 +250,5 @@
             Node nearestNode = null;
             for (Node nn : s_oNodes) {
-            	System.out.println("Node: " + nn);
+                System.out.println("Node: " + nn);
                 if (!nn.isUsable() || way.containsNode(nn) || s_oWay.containsNode(nn) || !isInSameTag(nn)) {
                     continue;
@@ -278,5 +260,5 @@
                 }
             }
-            
+
             System.out.println("Nearest: " + nearestNode + " distance: " + minDistanceSq);
             if (nearestNode == null) {
@@ -287,11 +269,11 @@
             }
         }
-        
+
         for (Map.Entry<Way, Way> e : modifiedWays.entrySet()) {
             cmds.add(new ChangeCommand(e.getKey(), e.getValue()));
         }
-        
+
         //cmds.addFirst(new ChangeCommand(way, trySplitWayByAnyNodes(newWay)));
-        
+
         List<Command> cmd = cmds;
         return cmd;
@@ -305,29 +287,28 @@
      * @return List of Commands.
      */
-    private static List<Command> mergeNodes(Node n1, Node n2){
+    private static List<Command> mergeNodes(Node n1, Node n2) {
         List<Command> cmds = new LinkedList<>();
         cmds.add(new MoveCommand(n2,
-                 (n1.getEastNorth().getX() - n2.getEastNorth().getX())/2,
-                 (n1.getEastNorth().getY() - n2.getEastNorth().getY())/2
-                 ));
-        
+                (n1.getEastNorth().getX() - n2.getEastNorth().getX())/2,
+                (n1.getEastNorth().getY() - n2.getEastNorth().getY())/2
+                ));
+
         Way newWay = new Way(s_oWay);
-        
+
         int j = s_oWay.getNodes().indexOf(n1);
         newWay.addNode(j, n2);
         if (j == 0) {
             // first + last point
-        	newWay.addNode(newWay.getNodesCount(), n2);
-        }
-        
+            newWay.addNode(newWay.getNodesCount(), n2);
+        }
+
         newWay.removeNode(n1);
- //       cmds.add(new ChangeCommand(m_way, newWay));
-        
-        if (newWay.firstNode() != newWay.lastNode() )
-        {
-        	newWay.addNode(newWay.firstNode());
+        //       cmds.add(new ChangeCommand(m_way, newWay));
+
+        if (newWay.firstNode() != newWay.lastNode()) {
+            newWay.addNode(newWay.firstNode());
         }
         s_oWay = new Way(newWay);
-        
+
         //cmds.add(new DeleteCommand(n1));
         return cmds;
@@ -341,9 +322,7 @@
      *
      * @param node Node to connect.
-     * @throws IllegalStateException
-     * @throws IndexOutOfBoundsException
      * @return List of Commands.
      */
-	private static void tryConnectNodeToAnyWay(Node node, Map<Way, Way> m)
+    private static void tryConnectNodeToAnyWay(Node node, Map<Way, Way> m)
             throws IllegalStateException, IndexOutOfBoundsException {
 
@@ -364,5 +343,5 @@
         int nearestNodeIndex = 0;
         for (Way ww : s_oWays) {
-        	System.out.println("Way: " + ww);
+            System.out.println("Way: " + ww);
             if (!ww.isUsable() || ww.containsNode(node) || !isSameTag(ww)) {
                 continue;
@@ -377,5 +356,5 @@
                 double dist = distanceFromSegment2(ll, np.a.getCoor(), np.b.getCoor());
                 //System.out.println(" distance: " + dist1 + "  " + dist);
-                
+
                 if (dist < minDist) {
                     minDist = dist;
@@ -399,26 +378,26 @@
 
     private static double distanceFromSegment2(LatLon c, LatLon a, LatLon b) {
-    	double x;
-    	double y;
-    	
+        double x;
+        double y;
+
         StraightLine oStraightLine1 = new StraightLine(
-        		new Point2D.Double(a.getX(),a.getY()),
-        		new Point2D.Double(b.getX(),b.getY())); 
+                new Point2D.Double(a.getX(), a.getY()),
+                new Point2D.Double(b.getX(), b.getY()));
         StraightLine oStraightLine2 = new StraightLine(
-        		new Point2D.Double(c.getX(),c.getY()),
-        		new Point2D.Double(c.getX() + (a.getY()-b.getY()),c.getY() - (a.getX()-b.getX())));
+                new Point2D.Double(c.getX(), c.getY()),
+                new Point2D.Double(c.getX() + (a.getY()-b.getY()), c.getY() - (a.getX()-b.getX())));
         Point2D.Double oPoint = oStraightLine1.GetIntersectionPoint(oStraightLine2);
-    	
-        if ((oPoint.x > a.getX() && oPoint.x > b.getX()) || (oPoint.x < a.getX() && oPoint.x < b.getX()) || 
-        		(oPoint.y > a.getY() && oPoint.y > b.getY()) || (oPoint.y < a.getY() && oPoint.y < b.getY())) {
-        	return 100000;
-        }
-        
-        x=c.getX()-oPoint.getX();
-        y=c.getY()-oPoint.getY();
-        
+
+        if ((oPoint.x > a.getX() && oPoint.x > b.getX()) || (oPoint.x < a.getX() && oPoint.x < b.getX()) ||
+                (oPoint.y > a.getY() && oPoint.y > b.getY()) || (oPoint.y < a.getY() && oPoint.y < b.getY())) {
+            return 100000;
+        }
+
+        x = c.getX()-oPoint.getX();
+        y = c.getY()-oPoint.getY();
+
         return Math.sqrt((x*x)+(y*y));
     }
-    
+
     /**
      * Try split way by any existing building nodes.
@@ -429,6 +408,4 @@
      *
      * @param way Way to split.
-     * @throws IndexOutOfBoundsException
-     * @throws IllegalStateException
      * @return Modified way
      */
@@ -444,5 +421,5 @@
             System.out.println(way.getNodes().get(i) + "-----" + way.getNodes().get((i + 1) % way.getNodesCount()));
             double minDistanceSq = Double.MAX_VALUE;
-//            double maxAngle = MAX_ANGLE;
+            //            double maxAngle = MAX_ANGLE;
             //List<Node> nodes = Main.main.getCurrentDataSet().searchNodes(new BBox(
             //    Math.min(n1.getX(), n2.getX()) - minDistanceSq,
@@ -460,9 +437,9 @@
                 //double dist = TracerGeometry.distanceFromSegment(nn, n1, n2);
                 double dist = distanceFromSegment2(nn, n1, n2);
-//                double angle = TracerGeometry.angleOfLines(n1, nn, nn, n2);
+                //                double angle = TracerGeometry.angleOfLines(n1, nn, nn, n2);
                 //System.out.println("Angle: " + angle + " distance: " + dist + " Node: " + nod);
-                if (!n1.equalsEpsilon(nn) && !n2.equalsEpsilon(nn) && dist < minDistanceSq){ // && Math.abs(angle) < maxAngle) {
-                	minDistanceSq = dist;
-//                	maxAngle = angle;
+                if (!n1.equalsEpsilon(nn) && !n2.equalsEpsilon(nn) && dist < minDistanceSq) { // && Math.abs(angle) < maxAngle) {
+                    minDistanceSq = dist;
+                    //                    maxAngle = angle;
                     nearestNode = nod;
                 }
@@ -490,5 +467,5 @@
         for (OsmPrimitive op : n.getReferrers()) {
             if (op instanceof Way) {
-                if (isSameTag((Way) op)) {
+                if (isSameTag(op)) {
                     return true;
                 }
@@ -497,5 +474,5 @@
         return false;
     }
-    
+
     /**
      * Determines if the specified primitive denotes a building.
@@ -503,11 +480,11 @@
      * @return True if building key is set and different from no,entrance
      */
-    protected static final boolean isSameTag(OsmPrimitive p) {
+    protected static boolean isSameTag(OsmPrimitive p) {
         String v = p.get(s_oParam.getTag());
         if (s_bCtrl || s_oParam.getTag().equals("")) {
-        	return  v == null || v.equals("no");
+            return v == null || v.equals("no");
         }
         if (s_oParam.getTag().equals("building")) {
-        	return v != null && !v.equals("no") && !v.equals("entrance");
+            return v != null && !v.equals("no") && !v.equals("entrance");
         }
         return v != null && !v.equals("no");
Index: applications/editors/josm/plugins/tracer2/src/org/openstreetmap/josm/plugins/tracer2/StraightLine.java
===================================================================
--- applications/editors/josm/plugins/tracer2/src/org/openstreetmap/josm/plugins/tracer2/StraightLine.java	(revision 32699)
+++ applications/editors/josm/plugins/tracer2/src/org/openstreetmap/josm/plugins/tracer2/StraightLine.java	(revision 32788)
@@ -1,20 +1,3 @@
-/**
- *  Tracer2 - plug-in for JOSM to capture contours
- *  
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; either version 2 of the License, or
- *  (at your option) any later version.
- *  
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *  
- *  You should have received a copy of the GNU General Public License along
- *  with this program; if not, write to the Free Software Foundation, Inc.,
- *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
- */
-
+// License: GPL. For details, see LICENSE file.
 package org.openstreetmap.josm.plugins.tracer2;
 
@@ -29,7 +12,7 @@
 
     public StraightLine(Double dm, Double dc, boolean bRevert) {
-    	this.m_dm = dm;
-    	this.m_dc = dc;
-    	this.m_dx = Double.NaN;
+        this.m_dm = dm;
+        this.m_dc = dc;
+        this.m_dx = Double.NaN;
         if (this.m_dm.isNaN()) {
             this.m_dAlpha = Double.NaN;
@@ -37,8 +20,8 @@
             this.m_dAlpha = CheckAlpha((Double.NEGATIVE_INFINITY == this.m_dm) ? -90.0 : 90.0);
         } else {
-            this.m_dAlpha = CheckAlpha(Math.atan(dm) * 180 / Math.PI + (bRevert ? 180 : 0) );
+            this.m_dAlpha = CheckAlpha(Math.atan(dm) * 180 / Math.PI + (bRevert ? 180 : 0));
         }
     }
-    
+
     public StraightLine(Point2D.Double oP1, Point2D.Double oP2) {
         this.m_dm = (oP2.getY() - oP1.getY()) / (oP2.getX() - oP1.getX());
@@ -50,9 +33,10 @@
         } else {
             this.m_dx = Double.NaN;
-            this.m_dAlpha = CheckAlpha(Math.atan((oP2.getY() - oP1.getY()) / (oP2.getX() - oP1.getX())) * 180 / Math.PI + (oP1.getX() > oP2.getX() ? 180 : 0));
+            this.m_dAlpha = CheckAlpha(
+                    Math.atan((oP2.getY() - oP1.getY()) / (oP2.getX() - oP1.getX())) * 180 / Math.PI + (oP1.getX() > oP2.getX() ? 180 : 0));
         }
     }
-    
-    static private Double CheckAlpha(Double dAlpha) {
+
+    private static Double CheckAlpha(Double dAlpha) {
         if (dAlpha > 180) {
             return dAlpha - 360;
@@ -63,17 +47,21 @@
         return dAlpha;
     }
-    
+
     public Double getM() {
         return m_dm;
     }
+
     public Double getC() {
         return m_dc;
     }
+
     public Double getX() {
         return m_dx;
     }
+
     public Double getAlpha() {
         return m_dAlpha;
     }
+
     public boolean IsLine() {
         return !(m_dx.isNaN() || m_dx.isInfinite() || m_dAlpha.isNaN() || m_dAlpha.isInfinite())
@@ -84,5 +72,5 @@
         Double dx;
         Double dy;
-        
+
         if (!this.IsLine() || !oLine.IsLine()) {
             // data missing
@@ -105,5 +93,5 @@
             dy = this.m_dm * dx + this.m_dc;
         }
-        
+
         return new Point2D.Double(dx, dy);
     }
